<?php
defined('IN_PHPCMS') or exit('No permission resources.');

class index{
	private $db;
	public function __construct() {
		$this->db = pc_base::load_model('popup_model','',0);
	}

	public function init() {
		
	}

	public function show(){
		$id = isset($_GET['id']) ? $_GET['id'] : '';
		if(empty($id)){
			showmessage(L('popup_unknow_id'),'');exit;
		}
		$head = '<meta charset="utf-8"><title>弹窗预览</title><script type="text/javascript" src="'.JS_PATH.'jquery.min.js"></script>';
		$data = $this->db->select("id=$id","*","1");
		$info = $this->get_tc($data,$head);
		echo $info;
	}
	
	public function get_tc($data, $head=""){
		foreach($data as $key => $val) {
			if(empty($head)){
				$str = '';
			}else{
				$str = $head;
			}
			$str .= '<style>';
			if(empty($val['background'])){
				$background = "background:#000";
			}else{
				$background = "background:".$val['background'];
			}
			if(empty($val['bg_opacity'])){
				$opacity = 'filter:alpha(opacity=50);-moz-opacity:0.5;-khtml-opacity:0.5;opacity:0.5;';
			}else{
				$opacity = 'filter:alpha(opacity='.substr($val['bg_opacity'],intval(strripos($val['bg_opacity'],'.'))+1).'0);-moz-opacity:'.$val['bg_opacity'].';-khtml-opacity:'.$val['bg_opacity'].';opacity:'.$val['bg_opacity'].';';
			}
			$str .= '.phpcms_background{width:100%;height:100%;'.$background.';position:fixed;top:0;left:0;z-index:98;'.$opacity.'}';
			$str .= '.phpcms_main{width:'.$val['width'].'px;height:'.$val['height'].'px;position:fixed;top:0;bottom:0;left:0;right:0;margin:auto;z-index:99;}';
			$str .= '.phpcms_content{width:100%;height:100%;position:relative;}';
			$str .= '.phpcms_img{width:100%;height:100%}';
			$close_size = explode(',',$val['close_ico_size']);
			$close_ico_margin = explode(',',$val['close_ico_margin']);
			if(!empty($val['close_ico'])){
				$close_bg_color = "}.phpcms_close:hover{opacity:0.9;}";
			}else{
				$close_bg_color = "background:#fff;filter:alpha(opacity=0);-moz-opacity:0;-khtml-opacity:0;opacity:0;}";
			}
			$str .= '.phpcms_close{width:'.$close_size[0].'px;height:'.$close_size[1].'px;display:inline-block;position:absolute;top:'.$close_ico_margin[0].'px;right:'.$close_ico_margin[1].'px;cursor:pointer;z-index:10000;'.$close_bg_color;
			$str .= '.phpcms_close img{width:100%;height:100%;}';
			$str .= '.phpcms_dir{width:100%;height:100%;position:relative;}';
			$str .= '</style>';
			$str .= '<div class="phpcms_main" style="display:none">';
			$str .= '<div class="phpcms_content">';
			if($val['target'] == 1){
				$target = " target='_blank'";
			}else{
				$target = " target='_self'";
			}
			if(!empty($val['dir_class'])){
				$target .= " class='".$val['dir_class']."'";
			}
			if($val['content_disabled'] == 0){
				if(empty($val['url'])){
					$str .= '<a href="javascript:;" '.$target.'>';
				}else{
					$str .= '<a href="'.$val['url'].'" '.$target.'>';
				}
				$str .= '<img src="'.$val['thumb'].'" alt="'.$val['title'].'" class="phpcms_img" />';
				$str .= '</a>';
			}
			$str .= '<span class="phpcms_close" title="关闭">';
			if(!empty($val['close_ico'])){
				$str .= '<img src='.$val['close_ico'].' />';
			}
			$str .='</span>';
			if($val['content_disabled'] == 1){
				$str .= '<div class="phpcms_dir">'.$val['content'].'</div>';
			}
			$str .= '</div>';
			$str .= '</div>';
			$str .= '<div class="phpcms_background" style="display:none"></div>';
			$str .= '<script>';
			$str .= '$(function(){';
			$str .= 'var showtime="";';
			$str .= '$(".phpcms_close").click(function(){';
			$str .= '$(".phpcms_main,.phpcms_background").hide();';
			if($val['cycle'] == 1){
				$str .= 'clearInterval(showtime);';
				$str .= 'showtime = setInterval("phpcms_show()",'.$val['cycle_time'].');';
			}
			$str .= '});';
			$str .= 'setTimeout("phpcms_show()",'.$val['wait_time'].');';
			$str .= '});';
			$str .= 'function phpcms_show(){';
			$str .= 'showflag = true;';
			$str .= '$(".phpcms_main,.phpcms_background").show();';
			$str .= '}';
			$str .= '</script>';
			return $str;
		}
	}

	public function zt_show(){
		$url = $_GET['url'];
		$preg = "/^http:\/\/(.*?)\.(.*?)\.(.*?)\//is";
		preg_match($preg,$url,$arr);
		$u = $arr[1].".".$arr[2].".".$arr[3];
		$data = $this->db->select("disabled=1 AND relation_special like '%$url%'","*","1","id desc");
		foreach($data as $val){
			$legitimate_url = explode(",",$val['legal_url']);
			if(!in_array($u,$legitimate_url)){
				echo $_GET['callback'].'('.json_encode("非法URL").')';
				exit;
			}
		}
		if(empty($data)){
			echo $_GET['callback'].'('.json_encode("null").')';
		}else{
			$info = $this->get_tc($data);
			echo $_GET['callback'].'('.json_encode($info).')';
		}
	}

}



?>