<?php
defined('IN_PHPCMS') or exit('No permission resources.');
pc_base::load_app_class('admin','admin',0);
pc_base::load_sys_class('form','',0);
class popup extends admin {
	private $db;
	private $init;
	public $siteid;
	function __construct(){
		parent::__construct();
		$this->db = pc_base::load_model('popup_model');
		$this->init = "index.php?m=popup&c=popup&a=init";
		$this->siteid = get_siteid();
	}

	public function init(){
		$page = max(intval($_GET['page']), 1);
		$siteid = $this->siteid;
		$data = $this->db->listinfo(array('siteid'=>$siteid), '`id` DESC', $page);
		include $this->admin_tpl('popup');
	}

	public function add(){
		if(isset($_POST['dosubmit'])){
			$popup = $_POST['popup'];
			$popup['siteid'] = $this->siteid;
			$popup['updatetime'] = time();
			$res = $this->db->insert($popup);
			if($res){
				showmessage(L('popup_add_success'),$this->init);
			}else{
				showmessage(L('popup_add_error'),'index.php?m=popup&c=popup&a=add');
			}
		}
		include $this->admin_tpl('popup_add');
	}

	public function edit(){
		if(isset($_POST['dosubmit'])){
			$popup = $_POST['popup'];
			$popup['siteid'] = $this->siteid;
			$popup['updatetime'] = time();
			$res = $this->db->update($popup,array('id'=>$popup['id']));
			if($res){
				showmessage(L('popup_update_success'),$this->init);
			}else{
				showmessage(L('popup_update_error'),'index.php?m=popup&c=popup&a=edit');
			}
		}else{
			$id = $_GET['id'];
			$data = $this->db->select("id=$id","*","1");
			foreach($data as $val) {
				$data = $val;
			}
		}
		include $this->admin_tpl('popup_edit');
	}

	public function del(){
		$id = isset($_GET['id']) ? $_GET['id'] : '';
		if(empty(trim($id))){
			showmessage(L('popup_unknow_id'),$this->init);
		}
		$res = $this->db->delete("id=$id");
		if($res){
			showmessage(L('popup_delete_success'),$this->init);
		}else{
			showmessage(L('popup_delete_error'),$this->init);
		}
		//AJAX删除方法
		/*if(empty(trim($id))){
			die(2);
		}
		if($this->db->delete("id=$id")){
			echo 1;
		}else {
			echo 0;
		}*/
	}

	public function show(){
		$id = $_GET['id'];
		$disabled = $_GET['disabled'];
		if($disabled == 0) {
			$disabled = 1;	
		}else if($disabled == 1) {
			$disabled = 0;
		}
		$res = $this->db->update("disabled=$disabled",array('id'=>$id));
		if($res) {
			echo 1;
		}else {
			echo 0;
		}
	}

	public function delall(){
		$id = isset($_GET['id']) ? $_GET['id'] : '';
		if(empty(trim($id))){
			showmessage(L('popup_illegal'),$this->init);
			exit;
		}
		$ids = explode(",",rtrim($id,","));
		foreach($ids as $val){
			$res = $this->db->delete("id=$val");
			if(!$res){
				showmessage(L('popup_delete_error'));
				exit;
			}
		}
		showmessage(L('popup_delete_success'),$this->init);
	}
}
?>