<?php
defined('IN_PHPCMS') or exit('No permission resources');
$show_dialog = $show_header = 1; 
include $this->admin_tpl('header', 'admin');
?>
<style>.table_form th,.table_form td{text-align:center;}</style>
<div class="subnav">
    <div class="content-menu ib-a blue line-x">
		<a class="add fb" href="?m=popup&c=popup&a=add">
			<em><?php echo L('popup_add');?></em>
		</a>
    </div>
</div>
<div class="table-list">
	<table class="table_form" width="100%" cellspacing="0">
		<thead>
			<tr>
				<th width="45" align="center"><input type="checkbox" id="checkall" /></th>
				<th width="40"><?php echo L('popup_id');?></th>
				<th><?php echo L('popup_title');?></th>
				<th><?php echo L('popup_updatetime');?></th>
				<th><?php echo L('popup_type');?></th>
				<th><?php echo L('popup_status');?></th>
				<th><?php echo L('popup_system');?></td>
			</tr>
		</thead>
		<tbody>
			<?php foreach($data as $key => $val){ ?>
			<tr>
				<td align="center"><input type="checkbox" name="checked" value="<?php echo $val['id'];?>"></td>
				<td><?php echo $val['id'];?></td>
				<td><?php echo $val['name'];?></td>
				<td><?php echo date('Y-m-d H:i:s',$val['updatetime']);?></td>
				<td><?php if($val['content_disabled']==0){echo L('popup_image');}elseif($val['content_disabled']==1){echo L('popup_dir');}?></td>
				<td>
					<a href="javascript:;" onclick='show(this,"<?php echo $val['disabled'];?>","<?php echo $val['id'];?>")'>
						<?php if($val['disabled']==1){echo L('popup_enable');}else{echo "<font color='red'>".L('popup_disable')."</font>";}?>
					</a>
				</td>
				<td>
					<a href="?m=popup&c=index&a=show&id=<?php echo $val['id'];?>" target="_blank"><?php echo L('popup_show');?></a> |
					<a href="?m=popup&c=popup&a=edit&id=<?php echo $val['id'];?>"><?php echo L('popup_update');?></a> |
					<a href='javascript:;' onclick='del(this,"<?php echo $val["id"]; ?>");'><?php echo L('popup_delete');?></a>
				</td>
			</tr>
			<?php } ?>
		</tbody>
	</table>
</div>
<div class="btn">
	<label for="checked" id="checked">
		<?php echo L('popup_selected_all')?>/<?php echo L('popup_cancel')?>
	</label>
	<input name="submit" type="submit" class="button" value="<?php echo L('popup_remove_all_selected')?>" onClick="go()">&nbsp;&nbsp;
</div>
<div id="pages"><?php echo $this->db->pages;?></div>
<script>
function go(){
	if(confirm('<?php echo L("popup_delete_sure");?>')){
		var checked = $("input[name='checked']");
		var id = '';
		for(var i=0;i<checked.length;i++){
			if($(checked[i]).attr('checked')=="checked"){
				id += $(checked[i]).val()+',';
			}
		}
		var url = "/index.php?m=popup&c=popup&a=delall&id="+id+"&pc_hash=<?php echo $_GET['pc_hash'];?>";
		window.location.href = url;
	}
}
$("#checked").click(function(){
	var checked = $("input[name='checked']");
	var checkall = $("#checkall");
	if(checkall.attr("checked") == "checked") {
		checked.attr("checked",false);
		checkall.attr("checked",false);
	}else if(typeof(checkall.attr("checked")) == "undefined"){
		checked.attr("checked",true);
		checkall.attr("checked",true);
	}
});
$("#checkall").click(function(){
	var checked = $("input[name='checked']");
	var checkall = $(this).attr("checked");
	if(checkall == "checked") {
		checked.attr("checked",true);
	}else if(typeof(checkall) == "undefined"){
		checked.attr("checked",false);
	}
});
function del(obj,id){
	var hash = "<?php echo $_GET['pc_hash'];?>";
	if(confirm('<?php echo L("popup_delete_sure");?>')) {
		window.location.href="/index.php?m=popup&c=popup&a=del&id="+id+"&pc_hash="+hash;
	}
}
function show(obj,disabled,id){
	var hash = "<?php echo $_GET['pc_hash'];?>";
	if(confirm('<?php echo L("popup_update_sure");?>')) {
		$.ajax({
			url:		'/index.php?m=popup&c=popup&a=show',
			type:		'GET',
			data:		{disabled:disabled,id:id,pc_hash:hash},
			anysc:		false,
			cache:		false,
			success:	function(res){
				if(res == 1) {
					if(disabled == 1){
						obj.innerHTML = "<font color='red'><?php echo L('popup_disable');?></font>";
						obj.setAttribute("onclick","show(this,0,"+id+")");
					}else if(disabled == 0){
						obj.innerHTML = "<?php echo L('popup_enable');?>";
						obj.setAttribute("onclick","show(this,1,"+id+")");
					}
				}else if(res == 0){
					alert('<?php echo L("popup_update_error");?>');
				}
			},
			error:		function(){
				alert('<?php echo L("popup_update_error");?>');
			}
		});
	}
}
/*
//AJAX删除方法
function del(obj,id){
	var hash = "<?php echo $_GET['pc_hash'];?>";
	var parent = obj.parentNode.parentNode;
	if(confirm('<?php echo L("popup_delete_sure");?>')) {
		$.ajax({
			url:		'/index.php?m=popup&c=popup&a=del',
			type:		'GET',
			data:		{id:id,pc_hash:hash},
			anysc:		false,
			cache:		false,
			success:	function(res){
				if(res == 1) {
					alert('<?php echo L("popup_delete_success");?>');
					parent.parentNode.removeChild(parent);
				}else if(res == 0) {
					alert('<?php echo L("popup_delete_error");?>')
				}else if(res == 2) {
					alert('<?php echo L("popup_unknow_id");?>');
				}
			},
			error:		function(){
				alert('<?php echo L("popup_delete_error");?>');
			}
		});
	}
}*/
</script>
</body>
</html>